<template>
  <div class="w-full py-6 md:w-1/2 md:p-6 lg:w-1/3 lg:max-w-xl">
    <a class="reset focus:outline-none" href="#" v-scroll-to="{ el: `#${id}` }">
      <div
        class="h-full px-2 py-12 flex flex-col items-center bg-white rounded-2xl shadow-md hover:shadow-lg"
      >
        <div class="mb-6">
          <component :is="iconComp" class="h-16 w-16 fill-current text-gray-700" />
        </div>
        <h3 class="text-gray-700">{{ name }}</h3>
      </div>
    </a>
  </div>
</template>

<script>
import path from 'path';

export default {
  name: 'ConceptBox',
  props: {
    id: String,
    name: String,
    icon: String,
  },
  computed: {
    iconComp() {
      const iconFile = path.basename(this.icon);
      return () => import(
        /* webpackInclude: /-icon\.svg$/ */
        `../../../static/media/${iconFile}`
      );
    },
  },
};
</script>